Subject: Re: [net-next:master 98/98] drivers/net/ethernet/myricom/myri10ge/myri10ge.c:1286:34: sparse: cast to restricted __be16

From: Andrew Gallatin <[email-masked]>
Date: Mon, 03 Dec 2012 14:21:14 -0500

I think I have a handle on most of the pre-existing warnings.  The
device responds to BAR reads/writes with big endian data, while
I think everything expects little endian.  These will be easy
to fix. The warning I don't see a fix for is this:

drivers/net/ethernet/myricom/myri10ge/myri10ge.c:1434:35: warning:
context imbalance in 'myri10ge_intr' - different lock contexts for basic
block

Which is apparently triggered by using __netif_tx_trylock().
Is there something I'm missing, or does sparse just not like
__netif_tx_trylock() because it divides spinlock acquisition and
release into 2 different functions?

Thanks,

Drew